Name:           ibus-rime
Version:        0.9.9
Release:        %mkrel 1
Summary:        Rime Input Method Engine for IBus
Summary(zh):    中州韻輸入法引擎
Group:		System/Libraries
License:        GPLv3
URL:            http://code.google.com/p/rimeime/
Source0:        http://rimeime.googlecode.com/files/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig, cmake
BuildRequires:  librime-devel >= 0.9.8
BuildRequires:  ibus-devel, libnotify-devel
BuildRequires:  brise >= 0.18
Requires:       brise >= 0.18

%description
ibus-rime: Rime Input Method Engine for IBus

Support for shape-based and phonetic-based input methods,
including those for Chinese dialects.

A selected dictionary in Traditional Chinese,
powered by opencc for Simplified Chinese output.


%description -l zh
中州韻輸入法引擎

中州韻輸入法引擎，思想用鍵盤表達也行。

Rime 預設輸入方案有：朙月拼音、語句流、倉頡、速成、五筆、雙拼、
地球拼音、注音、粵拼、吳語、中古漢語拼音、五筆畫、國際音標等。

%prep
%setup -q -n %{name}


%build
%cmake
%make


%install
sed -i -e "s'/usr/lib/ibus-rime/ibus-engine-rime'%{_libexecdir}/ibus-engine-rime'" rime.xml

mkdir -p $RPM_BUILD_ROOT/%{_libexecdir}/
install -p -m 0755 build/ibus-engine-rime $RPM_BUILD_ROOT/%{_libexecdir}/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/ibus/component/
install -p -m 0644 rime.xml $RPM_BUILD_ROOT/%{_datadir}/ibus/component/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/ibus-rime/icons/
install -p -m 0644 zhung.svg $RPM_BUILD_ROOT/%{_datadir}/ibus-rime/icons/


%files
%doc README LICENSE ChangeLog
%{_libexecdir}/ibus-engine-rime
%{_datadir}/ibus/component/rime.xml
%{_datadir}/ibus-rime/


%changelog
* Mon Nov 11 2013 pinoc <vogtpet at gmail.com> 0.9.9-1pclos2013
- imported package
